Last Comment Bug 751597 - Network geolocation provider fails to get wifi data
: Network geolocation provider fails to get wifi data
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla15
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on:
Blocks: 739132 769655
  Show dependency treegraph
 
Reported: 2012-05-03 09:27 PDT by Reuben Morais [:reuben]
Modified: 2012-07-03 15:31 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
patch v.1 (841 bytes, patch)
2012-05-04 11:18 PDT, Doug Turner (:dougt)
ted: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Reuben Morais [:reuben] 2012-05-03 09:27:21 PDT
While testing with http://html5demos.com/geo, a friend was getting weird values for the location on Linux. I can reproduce it on OSX. On https://mxr.mozilla.org/mozilla-central/source/dom/system/NetworkGeolocationProvider.js#194 |accessPoints| is always null, and thus we fallback to Google's IP-based lookup. When testing in my own debug build everything works as expected, though.
Comment 1 Doug Turner (:dougt) 2012-05-03 15:16:34 PDT
i don't see this in my local builds either, but it is clearly busted in the nightly.

Components.interfaces.nsIWifiMonitor isn't defined in the nightly.


Reuben,

Could you (and your friend) try one of these builds?  https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/dougt@mozilla.com-32c03fc9fda6/
Comment 2 Reuben Morais [:reuben] 2012-05-04 10:34:53 PDT
(In reply to Doug Turner (:dougt) from comment #1)
> Reuben,
> 
> Could you (and your friend) try one of these builds? 
> https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/dougt@mozilla.com-
> 32c03fc9fda6/

Works as expected for me.
Aurora is affected by this so you might wanna land that patch there as well.
Comment 3 Doug Turner (:dougt) 2012-05-04 11:18:28 PDT
Created attachment 621110 [details] [diff] [review]
patch v.1
Comment 5 Doug Turner (:dougt) 2012-05-04 14:00:11 PDT
.
Comment 6 Ed Morley [:emorley] 2012-05-05 03:38:53 PDT
https://hg.mozilla.org/mozilla-central/rev/c675215939ef
Comment 7 Doug Turner (:dougt) 2012-05-06 13:52:39 PDT
we do want this on 14.
Comment 8 Alex Keybl [:akeybl] 2012-05-06 15:16:06 PDT
Sounds good - please nominate for Aurora 14.
Comment 9 Reuben Morais [:reuben] 2012-05-14 16:26:16 PDT
Comment on attachment 621110 [details] [diff] [review]
patch v.1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Geolocation regression
User impact if declined: Geolocation is not accurate.
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): none (?)
String or UUID changes made by this patch: none
Comment 10 Alex Keybl [:akeybl] 2012-05-16 11:40:07 PDT
Comment on attachment 621110 [details] [diff] [review]
patch v.1

[Triage Comment]
Approved for Aurora 14.
Comment 11 Reuben Morais [:reuben] 2012-05-22 12:32:56 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/38cf9bdc6fea

Note You need to log in before you can comment on or make changes to this bug.